@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html {
    font-size: 10px;
    font-family: 'Roboto Condensed', sans-serif;
}
h3 {
    display: flex;
    font-family: 'Josefin Sans', sans-serif;
    font-size: 6vw;
    color: #4B5D67;
    justify-content: center;
    align-items: center;
    grid-area: header;
    /* background-color: #427ef5; */
}
.container {
    background-color: #fafcfc;
    display: grid;
    min-height: 100vh;
    max-width: 100%;
}
    

/* Landing page section */
.landing {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
}
#landing {
    background-image: url(./landing.jpg);
    background-color: #fafcfc;
    background-size: cover;
    background-position: center;
    position: relative;
}
#landing .landing {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 50px;
    justify-content: left;
}
#landing h1 {
    display: block;
    width: fit-content;
    font-size: 60px;
    position: relative;
    color: transparent;
    animation: text_reveal 1.5s ease forwards;
}
#landing h1:nth-child(1) {
    animation-delay: .7s;
}
#landing h1:nth-child(2) {
    animation-delay: 1.7s;
}
#landing h1:nth-child(3) {
    animation-delay: 2.7s;
}
#landing h1 span {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0%;
    background-color: #87556F;
    animation: text_reveal_box .7s ease;
}
#landing h1:nth-child(1) span {
    animation-delay: .5s; 
}
#landing h1:nth-child(2) span {
    animation-delay: 1.5s; 
}
#landing h1:nth-child(3) span {
    animation-delay: 2.5s; 
}
#landing a{
    text-decoration: none;
    animation: box_reveal 1.3s ease forwards;
    animation-delay: 2.1s;
    opacity: 0;
}
#landing .cta {
    display: inline-block;
    border-radius: 10px;
    padding: 10px 30px;
    color: white;
    background-color: transparent;
    border: 4px solid #87556F;
    font-family: 'Montserrat', sans-serif;
    font-size: 20px;
    margin-top: 20px;
    transition: .3s ease;
    transition-property: background-color;
}
#landing .cta:hover {
    background-color: #87556F;
}

/* keyframes */
@keyframes text_reveal_box {
    50% {
        width: 100%;
        left: 0;
    }
    100% {
        width: 0;
        left: 100%;
    }
}
@keyframes text_reveal {
    100% {
        color: white;
    }
}
@keyframes box_reveal {
    100% {
        opacity: 1;
    }
}
@media (max-width: 768px) {
    #landing {
        background-image: url(./landing2.jpg);
        background-color: #fafcfc;
    }
}


.aboutme {
    background-color: #fafcfc;
    display: grid;
    grid-template-areas: "header header"
                         "ava paragraph";
    grid-template-columns: 1fr 1.5fr;
    grid-template-rows: 1fr 3fr;
}
.konten-aboutme {
    padding-top: 4vh;
    grid-area: paragraph;
    /* background-color: #0255f7; */
    font-family: 'Montserrat', sans-serif;
    color: #87556F;
    font-size: 2vmax;
}
.ava {
    display: flex;
    justify-content: flex-end;
    padding-right: 70px;
    grid-area: ava;
    /* background-color: white; */
}

@media (max-width: 768px) {
    .aboutme {
        grid-template-areas: "ava"
                             "header"
                             "paragraph";
        grid-template-columns: 1fr;
        grid-template-rows: 0.5fr 0.5fr 1fr;
    }
    .aboutme .img-fluid {
        max-width: 150px;
        max-height: 170px;
    }
    .ava {
        margin-top: 20px;
        justify-content: center;
        align-items: end;
        grid-area: ava;
        padding-right: 0;
        /* background-color: white; */
    }
    .aboutme h3 {
        font-size: 10vw;
    }
    .konten-aboutme {
        padding-top: 0;
        text-align: center;
        font-size: 2.5vmax;
    }
}
/* end of aboutme */

/* education */
.education {
    grid-template-areas: "header"
                         "konten";
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 4fr;
}
.konten-education {
    grid-area: konten;
    display: grid;
    align-items: center;
    color: #4B5D67;
}
.konten-education:before {
    content: '';
    position: absolute;
    height: 70%;
    width: 6px;
    left: 50%;
    background-color: #4B5D67;
}
.konten-education li {
    list-style-type: none;
    position: relative;
    width: 50%;
    margin-bottom: 1.5vw;
}
.konten-education li:nth-child(odd) {
    text-align: right;
    padding-right: 40px;
    float: left;
    clear: right;
}
.konten-education li:nth-child(even) {
    float: right;
    clear: left;
    padding-left: 40px;
}
.konten-education li h1 {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 2vmax;
}
.konten-education li p {
    font-family: 'Montserrat' , sans-serif;
    font-size: 1.5vmax;
}
@media (max-width: 768px) {
    .education h3 {
        font-size: 10vw;
    }
}
/* end of education */

/* experience */
.experience {
    grid-template-areas: "header header"
                         "gambar paragraph";
    justify-items: center;
    align-items: center;
    grid-template-columns: 1fr 1.5fr;
    grid-template-rows: 1fr 3fr;
}
.dua {
    grid-template-areas: "gambar paragraph";
    grid-template-columns: 1fr 1.5fr;
    grid-template-rows: 1fr;
    justify-items: center;
    align-items: center;
}
.gambar {
    grid-area: gambar;
    justify-content: center;
    padding-left: 10px;
    padding-right: 10px;
}
.experience .img-fluid {
    border-radius: 20px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.dua .img-fluid {
    border-radius: 20px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.konten-experience {
    grid-area: paragraph;
    font-family: 'Montserrat', sans-serif;
    color: #4B5D67;
    font-size: 2vmax;
}

@media (max-width: 768px) {
    .experience {
        grid-template-areas: "header"
                             "gambar"
                             "paragraph";
    justify-items: center;
    grid-template-columns: 1fr;
    grid-template-rows: 0.5fr 0.5fr 1fr;
    }
    .experience h3 {
        font-size: 10vw;
    }
    .gambar {
        padding-bottom: 10px;
    }
    .konten-experience {
        margin-top: 5vh;
        margin-bottom: 5vh;
        text-align: center;
    }
    .dua {
        grid-template-areas: "gambar"
                             "paragraph";
        grid-template-columns: 1fr;
        grid-template-rows: 0.5fr 1fr;
        justify-items: center;
        align-items: start;
        padding-top: 10vh;
    }
}
/* end of experience */

/* skilss */
.skill {
    grid-template-areas: "header"
                         "konten";
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 3fr;
}
.konten-skill {
    grid-area: konten;
    display: block;
    position: relative;
    padding-left: 5vmax;
    /* justify-content: center;
    align-items: center; */
    width: 80%;
    font-family: 'Montserrat', sans-serif;
    color: #4B5D67;
    font-size: 2vmax;
}
.konten-skill li {
    list-style: none;
    position: relative;
    margin: 50px 0;
}
.konten-skill li:before {
    content: "";
    position: absolute;
    background-color: #4B5D67;
    top: calc(100% + 10px);
    left: 0;
    height: 2vmax;
    width: 100%;
    border-radius: 100px;
}
.konten-skill li:after {
    content: "";
    position: absolute;
    background-color: #7d888f;
    top: calc(100% + 10px);
    left: 0;
    height: 2vmax;
    width: 0;
    border-radius: 100px;
    animation-duration: .7s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
.konten-skill li.html:after {
    animation-name: html;
}
@keyframes html {
    to {
        width: 60%;
    }
}
.konten-skill li.py:after {
    animation-name: py;
}
@keyframes py {
    to {
        width: 80%;
    }
}
.konten-skill li.java:after {
    animation-name: java;
}
@keyframes java {
    to {
        width: 70%;
    }
}
.konten-skill li.css:after {
    animation-name: css;
}
@keyframes css {
    to {
        width: 60%;
    }
}

@media (max-width: 768px) {
    .skill h3 {
        font-size: 10vw; 
    }
    .konten-skill {
        font-size: 5vw;
    }
}
/* end of skilss */

/* Contact */
.contact {
    grid-template-areas: "header"
                         "icon"
                         "socmed2";
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    justify-items: center;
    align-items: center;
    background-color: #322F3D;
    padding-bottom: 0;
}
.contact h3 {
    color: #87556F;
}
.socmed {
    display: flex;
    float: left;
    flex: wrap;
    grid-template-areas: icon;
}
.socmed2{
    display: flex;
    float: left;
    flex: wrap;
    grid-template-areas: socmed2;
}
.socmed a {
    margin-right: 7vw;
}
.socmed2 a {
    margin-right: 5vw;
}
@media (max-width: 768px) {
    .contact h3 {
        font-size: 7vw;
    }
    .socmed .img-fluid {
        width: 100px;
        height: 100px;
    }
    .socmed2 .img-fluid {
        width: 100px;
        height: 100px;
    }
}

/* end of contact */
